Package org.gradle.api.tasks.diagnostics

# Class TaskReportTask

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.internal.ConventionTask
org.gradle.api.tasks.diagnostics.ConventionReportTask
org.gradle.api.tasks.diagnostics.TaskReportTask

All Implemented Interfaces:
  `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.IConventionAware`, `org.gradle.api.internal.TaskInternal`, `Named`, `ExtensionAware`, `Task`, `Configurable<Task>`

@DisableCachingByDefault(because="Not worth caching") public abstract class TaskReportTask extends ConventionReportTask

Displays a list of tasks in the project. An instance of this type is used when you execute the `tasks` task from the command-line.

By default, this report shows only those tasks which have been assigned to a task group, so-called visible tasks. Tasks which have not been assigned to a task group, so-called hidden tasks, can be included in the report by enabling the command line option `--all`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Task

  `Task.Namer`

- ## Field Summary

  ### Fields inherited from interface org.gradle.api.Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskReportTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDisplayGroup()`
  Returns the task group to be displayed.
  `List<String>`
  `getDisplayGroups()`
  Returns the task groups to be displayed.
  `protected org.gradle.api.internal.project.ProjectStateRegistry`
  `getProjectStateRegistry()`
  Injects a `ProjectStateRegistry` service.
  `protected org.gradle.api.internal.project.ProjectTaskLister`
  `getProjectTaskLister()`
  `org.gradle.api.tasks.diagnostics.internal.ReportRenderer`
  `getRenderer()`
  `Property<Boolean>`
  `getShowTypes()`
  Whether to show the task types next to their names in the output.
  `boolean`
  `isDetail()`
  `void`
  `setDisplayGroup(String group)`
  Set a specific task group to be displayed.
  `void`
  `setDisplayGroups(List<String> groups)`
  Add a specific task group to be displayed.
  `void`
  `setRenderer(org.gradle.api.tasks.diagnostics.internal.TaskReportRenderer renderer)`
  `void`
  `setShowDetail(boolean detail)`
  Sets whether to show "invisible" tasks without a group or dependent tasks.

  ### Methods inherited from class org.gradle.api.tasks.diagnostics.ConventionReportTask

  `getClientMetaData, getOutputFile, getProjectReportDirectory, getProjects, getTextOutputFactory, setOutputFile, setProjects`

  ### Methods inherited from class org.gradle.api.internal.ConventionTask

  `conventionMapping, conventionMapping, getConventionMapping`

  ### Methods inherited from class org.gradle.api.DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, getAsDynamicObject, getConvention, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, setImpliesSubProjects`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.gradle.api.Task

  `doNotTrackState, getConvention, notCompatibleWithConfigurationCache`

- ## Constructor Details

  - ### TaskReportTask

    public TaskReportTask()

- ## Method Details

  - ### getRenderer

    public org.gradle.api.tasks.diagnostics.internal.ReportRenderer getRenderer()
    Specified by:
      `getRenderer` in class `ConventionReportTask`

  - ### setRenderer

    public void setRenderer(org.gradle.api.tasks.diagnostics.internal.TaskReportRenderer renderer)

  - ### setShowDetail

    public void setShowDetail(boolean detail)
    Sets whether to show "invisible" tasks without a group or dependent tasks. This property can be set via command-line option '--all'.

  - ### isDetail

    @Console public boolean isDetail()

  - ### setDisplayGroup

    public void setDisplayGroup(String group)
    Set a specific task group to be displayed.
    Since:
      5.1

  - ### getDisplayGroup

    @Console public String getDisplayGroup()
    Returns the task group to be displayed. This property can be set via command-line option '--group'.
    Since:
      5.1

  - ### setDisplayGroups

    @Incubating public void setDisplayGroups(List<String> groups)
    Add a specific task group to be displayed. Same functionality as the '--group' option, but unlike '--group', '--groups' can be chained.
    Since:
      7.5

  - ### getDisplayGroups

    @Incubating @Console public List<String> getDisplayGroups()
    Returns the task groups to be displayed. Task groups can be added via command-line option '--groups'.
    Since:
      7.5

  - ### getShowTypes

    @Console public Property<Boolean> getShowTypes()
    Whether to show the task types next to their names in the output. This property can be set via command-line option '--types'.
    Since:
      7.4

  - ### getProjectStateRegistry

    @Inject protected org.gradle.api.internal.project.ProjectStateRegistry getProjectStateRegistry()
    Injects a `ProjectStateRegistry` service.
    Since:
      5.0

  - ### getProjectTaskLister

    @Inject protected org.gradle.api.internal.project.ProjectTaskLister getProjectTaskLister()